{
	"layer": "top",
	"position": "top",
	"margin-top": 10,
	"margin-left": 14,
	"margin-right": 14,
	"spacing": 12,
	"modules-left": [
		"hyprland/workspaces"
	],
	"modules-right": [
		"mpris",
		"bluetooth",
		"pulseaudio",
		"upower",
		"network",
		"clock"
	],
	"mpris": {
		"player": "Feishin",
		"format": "{player_icon} {title} — {artist}",
		"format-paused": " {player_icon} {title}",
		"format-stopped": "",
		"player-icons": {
			"default": "",
			"Feishin": ""
		},
		"max-length": 45,
		"interval": 1,
		"tooltip": true,
		"tooltip-format": "{player} — {status}\n{artist}\n{title}\n{album}",
		"on-click": "playerctl -p Feishin play-pause",
		"on-scroll-up": "playerctl -p Feishin next",
		"on-scroll-down": "playerctl -p Feishin previous"
	},
	"bluetooth": {
		"format": " {status}",
		"format-connected": " {device_alias}",
		"format-connected-battery": " {device_alias} {device_battery_percentage}%",
		"tooltip-format": "{controller_alias}\t{controller_address}\n\n{num_connections} connected",
		"tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{num_connections} connected\n\n{device_enumerate}",
		"tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
		"tooltip-format-enumerate-connected-battery": "{device_alias}\t{device_address}\t{device_battery_percentage}%",
		"on-click": "pgrep .blueman-manage && pkill .blueman-manage || blueman-manager &"
	},
	"network": {
		"interface": "wlp1s0",
		"format": "{ifname}",
		"format-wifi": " {essid} ({signalStrength}%)",
		"format-ethernet": "{ifname} ",
		"format-disconnected": "no signal", //An empty format will hide the module.
		"tooltip-format": "{ifname}",
		"tooltip-format-wifi": "{essid} ({signalStrength}%) ",
		"tooltip-format-ethernet": "{ifname} ",
		"tooltip-format-disconnected": "Disconnected",
		"max-length": 50
	},
	"upower": {
		"icon-size": 20,
		"hide-if-empty": true,
		"tooltip": true,
		"tooltip-spacing": 20
	},
	"pulseaudio": {
		//"scroll-step": 1,
		"format": "{icon} {volume}%",
		"format-bluetooth": "{icon}  {volume}%",
		"format-muted": "",
		"format-icons": {
			"headphones": "",
			"handsfree": "",
			"headset": "",
			"phone": "",
			"portable": "",
			"car": "",
			"default": [
				"",
				""
			]
		},
		"on-click": "pgrep pavucontrol && pkill pavucontrol || pavucontrol &"
	},
	"clock": {
		"format": "{:%c}",
		"locale": "sv_SE.UTF-8",
		"tooltip": true,
		"tooltip-format": "{:%A, %d %B %Y}\n  %H:%M:%S",
		"interval": 1
	}
}
